Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	pixel format handling library
Name:		babl
Version:	0.1.2
Release:	2
License:	LGPL 
URL:		http://gegl.org/babl/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
babl is a library for dynamically handling pixel formats and managing
conversions between them.
It allows converting between different methods of storing pixels known as pixel formats that have with different bitdepths and other data representations, color models and component permutations.

A vocabulary to formulate new pixel formats from existing primitives is provided as well as the framework to add new color models and data types. 

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
./configure --prefix=%_prefix \
--mandir=%_mandir 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_libdir}/babl-0.1/CIE.so
%{_libdir}/babl-0.1/gegl-fixups.so
%{_libdir}/babl-0.1/gggl.so
%{_libdir}/babl-0.1/gggl-lies.so
%{_libdir}/babl-0.1/gimp-8bit.so
%{_libdir}/babl-0.1/naive-CMYK.so
%{_libdir}/babl-0.1/sse-fixups.so
%{_libdir}/libbabl-0.1.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/babl-0.1
%{_libdir}/babl-0.1/CIE.la
%{_libdir}/babl-0.1/gegl-fixups.la
%{_libdir}/babl-0.1/gggl.la
%{_libdir}/babl-0.1/gggl-lies.la
%{_libdir}/babl-0.1/gimp-8bit.la
%{_libdir}/babl-0.1/naive-CMYK.la
%{_libdir}/babl-0.1/sse-fixups.la
%{_libdir}/libbabl-0.1.la
%{_libdir}/libbabl-0.1.so
%{_pkgconfig}/babl.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1.2-2
- Version update
* Mon Feb 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.1.2-1
- Version update
* Mon Jul 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.1.0-1
- Version update
* Sat Aug 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.22-1
- initial CCux package release
